## org.apache.xerces.impl.xpath
Class XPathException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.xerces.impl.xpath.XPathException

All Implemented Interfaces:
  java.io.Serializable

public class XPathException
extends java.lang.Exception

XPath exception.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XPathException.java 572107 2007-09-02 18:40:40Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  Serialized Form

Constructor Summary
`XPathException()` Constructs an exception.
`XPathException(java.lang.String key)` Constructs an exception with the specified key.

Method Summary
`java.lang.String` `getKey()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException()

  Constructs an exception.

### XPathException

    public XPathException(java.lang.String key)

  Constructs an exception with the specified key.

Method Detail

### getKey

    public java.lang.String getKey()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.